Skip to main content
`Ctrl`+`K`

# vispy.geometry.normals module

vispy.geometry.normals.compact(vertices, indices, tolerance=0.001)

  Compact vertices and indices within given tolerance

vispy.geometry.normals.normals(vertices, indices)

  Compute normals over a triangulated surface

  Parameters:
    vertices ndarray (n,3)

      triangles vertices

    indices ndarray (p,3)

      triangles indices